summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohannes Wienke2015-06-10 21:33:10 +0200
committerJohannes Wienke2015-06-10 21:33:10 +0200
commitfca331327306950417ae6d5b44c69ef06400217a (patch)
tree421f66ed4cca99e9f6894b9a1cc06f8a6c8306ac
downloadaur-fca331327306950417ae6d5b44c69ef06400217a.tar.gz
Initial migration commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD29
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8ec430dc6b3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = spread-java
+ pkgdesc = Spread is an open source toolkit that provides a high performance messaging service - Java Bindings
+ pkgver = 4.4.0
+ pkgrel = 2
+ url = http://www.spread.org
+ arch = any
+ license = custom
+ makedepends = apache-ant
+ depends = java-environment
+ optdepends = spread-daemon: daemon to connect to
+ source = http://www.spread.org/download/spread-src-4.4.0.tar.gz?FILE=spread-src-4.4.0.tar.gz&name=aur&company=archlinux&email=foo@example.org
+ md5sums = 969d315ce857982192bd48441353d944
+
+pkgname = spread-java
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d896a74c051
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: languiar <languitar at semipol dot de>
+pkgname=spread-java
+pkgver=4.4.0
+pkgrel=2
+pkgdesc="Spread is an open source toolkit that provides a high performance messaging service - Java Bindings"
+url="http://www.spread.org"
+license=('custom')
+depends=('java-environment')
+optdepends=('spread-daemon: daemon to connect to')
+makedepends=('apache-ant')
+arch='any'
+source=("http://www.spread.org/download/spread-src-$pkgver.tar.gz?FILE=spread-src-$pkgver.tar.gz&name=aur&company=archlinux&email=foo@example.org")
+md5sums=('969d315ce857982192bd48441353d944')
+
+build() {
+
+ cd $srcdir/spread-src-$pkgver
+
+ cd $srcdir/spread-src-$pkgver/java || return 1
+ ant jar || return 1
+
+}
+
+package() {
+ cd $srcdir/spread-src-$pkgver/java || return 1
+ install -D -m644 dest/spread-$pkgver.jar $pkgdir/usr/share/java/spread/spread.jar || return 1
+
+ install -D $srcdir/spread-src-$pkgver/license.txt $pkgdir/usr/share/licenses/spread-java/LICENSE || return 1
+}